Bug 290826

Summary: digikam crashed while tagging faces
Product: [Applications] digikam Reporter: Serge Ratke <wuseldusel>
Component: Faces-EngineAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: crash CC: caulier.gilles
Priority: NOR    
Version: 2.5.0   
Target Milestone: ---   
Platform: Compiled Sources   
OS: Linux   
Latest Commit: Version Fixed In: 7.0.0

Description Serge Ratke 2012-01-06 20:33:50 UTC
Application: digikam (2.5.0)
KDE Platform Version: 4.7.4 (4.7.4) (Compiled from sources)
Qt Version: 4.7.4
Operating System: Linux 3.2.0-gentoo-r1 x86_64
Distribution (Platform): Gentoo Packages

-- Information about the crash:
- What I was doing when the application crashed:

tagged 130+ images out of 2200+ remaining images with a face tag.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f426bb567e0 (LWP 11637))]

Thread 15 (Thread 0x7f424e3ed700 (LWP 11641)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f426602c69b in wait (time=18446744073709551615, this=0x1a299c0) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1a29328, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00000000005c2188 in Digikam::ScanController::run (this=0x1b83ac0) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/digikam/database/scancontroller.cpp:647
#4  0x00007f426602bfb5 in QThreadPrivate::start (arg=0x1b83ac0) at thread/qthread_unix.cpp:331
#5  0x00007f42636d5d0c in start_thread (arg=0x7f424e3ed700) at pthread_create.c:301
#6  0x00007f42652f08dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 14 (Thread 0x7f424dbec700 (LWP 11642)):
#0  0x00007f42652e7b63 in *__GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f425e12e614 in g_main_context_poll (n_fds=1, fds=0x7f4248000d80, timeout=-1, context=0x1aec6b0, priority=<optimized out>) at gmain.c:3402
#2  g_main_context_iterate (context=0x1aec6b0, block=1, dispatch=1, self=<optimized out>) at gmain.c:3084
#3  0x00007f425e12ead1 in g_main_context_iteration (context=0x1aec6b0, may_block=1) at gmain.c:3152
#4  0x00007f426613f046 in QEventDispatcherGlib::processEvents (this=0x1bf6c10, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f4266113442 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f4266113684 in QEventLoop::exec (this=0x7f424dbebd60, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f4266029764 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#8  0x00007f42660f4ff8 in QInotifyFileSystemWatcherEngine::run (this=0x1a76ed0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f426602bfb5 in QThreadPrivate::start (arg=0x1a76ed0) at thread/qthread_unix.cpp:331
#10 0x00007f42636d5d0c in start_thread (arg=0x7f424dbec700) at pthread_create.c:301
#11 0x00007f42652f08dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 13 (Thread 0x7f424d3eb700 (LWP 11644)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f426602c69b in wait (time=18446744073709551615, this=0x204c630) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x204c1b8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f42694070c7 in Digikam::ParkingThread::run (this=0x204c1a0) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007f426602bfb5 in QThreadPrivate::start (arg=0x204c1a0) at thread/qthread_unix.cpp:331
#5  0x00007f42636d5d0c in start_thread (arg=0x7f424d3eb700) at pthread_create.c:301
#6  0x00007f42652f08dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 12 (Thread 0x7f421fa10700 (LWP 11646)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4246a2b2e0 in LoopRequest (p_playlist=0x533ed10) at playlist/thread.c:539
#2  Thread (data=0x533ed10) at playlist/thread.c:586
#3  0x00007f42636d5d0c in start_thread (arg=0x7f421fa10700) at pthread_create.c:301
#4  0x00007f42652f08dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7f4218096700 (LWP 11974)):
#0  pthread_cond_timedwait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00007f426602c601 in wait (time=30000, this=0x204c820) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x204c750, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f42660210d7 in QThreadPoolThread::run (this=0x7941b80) at concurrent/qthreadpool.cpp:140
#4  0x00007f426602bfb5 in QThreadPrivate::start (arg=0x7941b80) at thread/qthread_unix.cpp:331
#5  0x00007f42636d5d0c in start_thread (arg=0x7f4218096700) at pthread_create.c:301
#6  0x00007f42652f08dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 10 (Thread 0x7f420ffff700 (LWP 11985)):
#0  0x00007f4253d81245 in sqlite3ViewGetColumnNames (pParse=0x7b99e28, pTable=0x7f42083e92a8) at sqlite3.c:81182
#1  0x00007f4253db8c26 in sqlite3Insert (pParse=0x7b99e28, pTabList=0x77d5338, pList=0x77d56b8, pSelect=0x0, pColumn=0x77d4ab8, onError=99) at sqlite3.c:87724
#2  0x00007f4253dc2987 in yy_reduce (yyruleno=173, yypParser=0x7a68508) at sqlite3.c:108495
#3  sqlite3Parser (yyp=<optimized out>, yymajor=1, yyminor=..., pParse=<optimized out>) at sqlite3.c:43721
#4  0x00007f4253dc54a1 in sqlite3RunParser (pParse=0x7b99e28, zSql=0x79eae48 "INSERT INTO Thumbnails (type, modificationDate, orientationHint, data) VALUES (?, ?, ?, ?);", pzErrMsg=0x7f420fffe1a0) at sqlite3.c:110082
#5  0x00007f4253dc9702 in sqlite3Prepare (db=0x7769958, zSql=0x79eae48 "INSERT INTO Thumbnails (type, modificationDate, orientationHint, data) VALUES (?, ?, ?, ?);", nBytes=-1, saveSqlFlag=1, pReprepare=<optimized out>, ppStmt=0x4ff5b90, pzTail=0x7f420fffe278) at sqlite3.c:92441
#6  0x00007f4253dc9849 in sqlite3LockAndPrepare (db=0x7769958, zSql=0x79eae48 "INSERT INTO Thumbnails (type, modificationDate, orientationHint, data) VALUES (?, ?, ?, ?);", nBytes=-1, saveSqlFlag=1, pOld=0x0, ppStmt=0x4ff5b90, pzTail=0x7f420fffe278) at sqlite3.c:92533
#7  0x00007f4253dc9988 in sqlite3Prepare16 (db=0x7769958, zSql=0x7a11d9a, nBytes=<optimized out>, saveSqlFlag=1, ppStmt=0x4ff5b90, pzTail=0x0) at sqlite3.c:92642
#8  0x00007f424c9e4ea1 in QSQLiteResult::prepare (this=0x7a66120, query=...) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:327
#9  0x00007f426b77e838 in QSqlResult::savePrepare (this=0x7a66120, query=...) at kernel/qsqlresult.cpp:600
#10 0x00007f426b7717fb in QSqlQuery::prepare (this=0x7f420fffe4b8, query=...) at kernel/qsqlquery.cpp:924
#11 0x00007f42693bd3c2 in Digikam::SqlQuery::prepare (this=0x7f420fffe4b0, query=...) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/database/sqlquery.cpp:52
#12 0x00007f42693a808b in Digikam::DatabaseCoreBackend::prepareQuery (this=0x1d34f30, sql=...) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:1459
#13 0x00007f42693a84d1 in Digikam::DatabaseCoreBackend::execQuery (this=0x1d34f30, sql=<optimized out>, boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:1021
#14 0x00007f42693aa339 in Digikam::DatabaseCoreBackend::execSql (this=0x1d34f30, sql=<optimized out>, boundValue1=<optimized out>, boundValue2=<optimized out>, boundValue3=<optimized out>, boundValue4=<optimized out>, values=0x0, lastInsertId=0x7f420fffe620) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/database/databasecorebackend.cpp:921
#15 0x00007f42693b5528 in Digikam::ThumbnailDB::insertThumbnail (this=0x1a44a10, info=<optimized out>, lastInsertId=0x7f420fffe6b0) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/database/thumbnaildb.cpp:262
#16 0x00007f42693ea25b in Digikam::ThumbnailCreator::storeInDatabase (this=<optimized out>, info=..., image=<optimized out>) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:753
#17 0x00007f42693ef836 in Digikam::ThumbnailCreator::load (this=0x5903d70, path=..., rect=..., pregenerate=false) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:264
#18 0x00007f42693f00a2 in Digikam::ThumbnailCreator::load (this=<optimized out>, path=<optimized out>) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:196
#19 0x00007f42693ff862 in Digikam::ThumbnailLoadingTask::execute (this=0x7f4210238660) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threadimageio/thumbnailtask.cpp:169
#20 0x00007f42693d1eb6 in Digikam::LoadSaveThread::run (this=0x5903d00) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threadimageio/loadsavethread.cpp:118
#21 0x00007f42694086de in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x5902f60) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threads/dynamicthread.cpp:328
#22 0x00007f4266021048 in QThreadPoolThread::run (this=0x730b0e0) at concurrent/qthreadpool.cpp:106
#23 0x00007f426602bfb5 in QThreadPrivate::start (arg=0x730b0e0) at thread/qthread_unix.cpp:331
#24 0x00007f42636d5d0c in start_thread (arg=0x7f420ffff700) at pthread_create.c:301
#25 0x00007f42652f08dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7f421f90f700 (LWP 11986)):
#0  0x00007f425e12d9b2 in g_main_context_query (context=0x7f7c630, max_priority=2147483647, timeout=0x7f421f90ec18, fds=0x7f4210255f80, n_fds=1) at gmain.c:2827
#1  0x00007f425e12e50b in g_main_context_iterate (context=0x7f7c630, block=1, dispatch=1, self=<optimized out>) at gmain.c:3071
#2  0x00007f425e12ead1 in g_main_context_iteration (context=0x7f7c630, may_block=1) at gmain.c:3152
#3  0x00007f426613f046 in QEventDispatcherGlib::processEvents (this=0x5fbf5c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f4266113442 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f4266113684 in QEventLoop::exec (this=0x7f421f90ed40, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f426940679e in Digikam::WorkerObjectRunnable::run (this=0x7a62870) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007f4266021048 in QThreadPoolThread::run (this=0x78579b0) at concurrent/qthreadpool.cpp:106
#8  0x00007f426602bfb5 in QThreadPrivate::start (arg=0x78579b0) at thread/qthread_unix.cpp:331
#9  0x00007f42636d5d0c in start_thread (arg=0x7f421f90f700) at pthread_create.c:301
#10 0x00007f42652f08dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7f421558a700 (LWP 11987)):
#0  __pthread_mutex_unlock_usercnt (mutex=0x7f4208060698, decr=1) at pthread_mutex_unlock.c:36
#1  0x00007f425e12da84 in g_main_context_query (context=0x7f4208060690, max_priority=<optimized out>, timeout=0x7f4215589c18, fds=<optimized out>, n_fds=1) at gmain.c:2872
#2  0x00007f425e12e50b in g_main_context_iterate (context=0x7f4208060690, block=1, dispatch=1, self=<optimized out>) at gmain.c:3071
#3  0x00007f425e12ead1 in g_main_context_iteration (context=0x7f4208060690, may_block=1) at gmain.c:3152
#4  0x00007f426613f046 in QEventDispatcherGlib::processEvents (this=0x7f4208064ef0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f4266113442 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f4266113684 in QEventLoop::exec (this=0x7f4215589d40, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f426940679e in Digikam::WorkerObjectRunnable::run (this=0x7f42080657e0) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threads/threadmanager.cpp:196
#8  0x00007f4266021048 in QThreadPoolThread::run (this=0x7353040) at concurrent/qthreadpool.cpp:106
#9  0x00007f426602bfb5 in QThreadPrivate::start (arg=0x7353040) at thread/qthread_unix.cpp:331
#10 0x00007f42636d5d0c in start_thread (arg=0x7f421558a700) at pthread_create.c:301
#11 0x00007f42652f08dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7f4217895700 (LWP 12017)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f426602b0d3 in QMutexPrivate::wait (this=0x1beb590, timeout=-1) at thread/qmutex_unix.cpp:84
#2  0x00007f4266027aed in QMutex::lock (this=0x1d16200) at thread/qmutex.cpp:167
#3  0x00007f42693b39b4 in Digikam::ThumbnailDatabaseAccess::ThumbnailDatabaseAccess (this=<optimized out>) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/database/thumbnaildatabaseaccess.cpp:87
#4  0x00007f42693eac8f in Digikam::ThumbnailCreator::loadDatabaseThumbnailInfo (this=0x2056090, info=...) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:819
#5  0x00007f42693eaf6a in Digikam::ThumbnailCreator::isInDatabase (this=<optimized out>, info=...) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:848
#6  0x00007f42693ef3fb in Digikam::ThumbnailCreator::load (this=0x2056090, path=..., rect=..., pregenerate=true) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:236
#7  0x00007f42693f060e in Digikam::ThumbnailCreator::pregenerate (this=<optimized out>, path=<optimized out>) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threadimageio/thumbnailcreator.cpp:180
#8  0x00007f42693ff8d8 in Digikam::ThumbnailLoadingTask::execute (this=0x8095580) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threadimageio/thumbnailtask.cpp:79
#9  0x00007f42693d1eb6 in Digikam::LoadSaveThread::run (this=0x2064490) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threadimageio/loadsavethread.cpp:118
#10 0x00007f42694086de in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x205e500) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threads/dynamicthread.cpp:328
#11 0x00007f4266021048 in QThreadPoolThread::run (this=0x79bd740) at concurrent/qthreadpool.cpp:106
#12 0x00007f426602bfb5 in QThreadPrivate::start (arg=0x79bd740) at thread/qthread_unix.cpp:331
#13 0x00007f42636d5d0c in start_thread (arg=0x7f4217895700) at pthread_create.c:301
#14 0x00007f42652f08dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7f4219cb8700 (LWP 12018)):
#0  pthread_cond_timedwait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00007f426602c601 in wait (time=30000, this=0x204c820) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x204c750, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f42660210d7 in QThreadPoolThread::run (this=0x7a09cf0) at concurrent/qthreadpool.cpp:140
#4  0x00007f426602bfb5 in QThreadPrivate::start (arg=0x7a09cf0) at thread/qthread_unix.cpp:331
#5  0x00007f42636d5d0c in start_thread (arg=0x7f4219cb8700) at pthread_create.c:301
#6  0x00007f42652f08dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7f4217094700 (LWP 12019)):
#0  pthread_cond_timedwait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00007f426602c601 in wait (time=30000, this=0x204c820) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x204c750, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f42660210d7 in QThreadPoolThread::run (this=0x7784c90) at concurrent/qthreadpool.cpp:140
#4  0x00007f426602bfb5 in QThreadPrivate::start (arg=0x7784c90) at thread/qthread_unix.cpp:331
#5  0x00007f42636d5d0c in start_thread (arg=0x7f4217094700) at pthread_create.c:301
#6  0x00007f42652f08dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7f420f7fe700 (LWP 12039)):
#0  pthread_cond_timedwait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00007f426602c601 in wait (time=30000, this=0x204c820) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x204c750, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f42660210d7 in QThreadPoolThread::run (this=0x633c940) at concurrent/qthreadpool.cpp:140
#4  0x00007f426602bfb5 in QThreadPrivate::start (arg=0x633c940) at thread/qthread_unix.cpp:331
#5  0x00007f42636d5d0c in start_thread (arg=0x7f420f7fe700) at pthread_create.c:301
#6  0x00007f42652f08dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7f420effd700 (LWP 12040)):
#0  pthread_cond_timedwait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00007f426602c601 in wait (time=30000, this=0x6400d50) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x6400c80, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f42660210d7 in QThreadPoolThread::run (this=0x6400e30) at concurrent/qthreadpool.cpp:140
#4  0x00007f426602bfb5 in QThreadPrivate::start (arg=0x6400e30) at thread/qthread_unix.cpp:331
#5  0x00007f42636d5d0c in start_thread (arg=0x7f420effd700) at pthread_create.c:301
#6  0x00007f42652f08dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f420d619700 (LWP 12043)):
#0  pthread_cond_timedwait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x00007f426602c601 in wait (time=30000, this=0x6400d50) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x6400c80, time=30000) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f42660210d7 in QThreadPoolThread::run (this=0x4fd17e0) at concurrent/qthreadpool.cpp:140
#4  0x00007f426602bfb5 in QThreadPrivate::start (arg=0x4fd17e0) at thread/qthread_unix.cpp:331
#5  0x00007f42636d5d0c in start_thread (arg=0x7f420d619700) at pthread_create.c:301
#6  0x00007f42652f08dd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f426bb567e0 (LWP 11637)):
[KCrash Handler]
#6  QVariant::~QVariant (this=0x72003c00600000, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1407
#7  0x00007f4268e0fe09 in node_destruct (n=0x7f12858, this=<optimized out>) at /usr/include/qt4/QtCore/qlist.h:375
#8  QList<QVariant>::erase (this=0x204b288, afirst=..., alast=...) at /usr/include/qt4/QtCore/qlist.h:792
#9  0x00007f4268e0d606 in Digikam::ImageModel::removeRowPairs (this=0x2049a60, toRemove=...) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/models/imagemodel.cpp:901
#10 0x00007f4268e0efaa in Digikam::ImageModel::finishIncrementalRefresh (this=0x2049a60) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/models/imagemodel.cpp:720
#11 0x0000000000559855 in Digikam::ImageAlbumModel::slotResult (this=0x2049a60, job=<optimized out>) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/models/imagealbummodel.cpp:307
#12 0x000000000055ae3e in Digikam::ImageAlbumModel::qt_metacall (this=0x2049a60, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffff5e5c860) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0_build/digikam/imagealbummodel.moc:117
#13 0x00007f4266128867 in QMetaObject::activate (sender=0x7f42083e32e0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7ffff5e5c860) at kernel/qobject.cpp:3278
#14 0x00007f426658c232 in KJob::result (this=<optimized out>, _t1=0x7f42083e32e0) at /var/tmp/portage/kde-base/kdelibs-4.7.4-r11/work/kdelibs-4.7.4_build/kdecore/kjob.moc:194
#15 0x00007f426658c270 in KJob::emitResult (this=0x7f42083e32e0) at /var/tmp/portage/kde-base/kdelibs-4.7.4-r11/work/kdelibs-4.7.4/kdecore/jobs/kjob.cpp:312
#16 0x00007f4267f9106d in KIO::SimpleJob::slotFinished (this=0x7f42083e32e0) at /var/tmp/portage/kde-base/kdelibs-4.7.4-r11/work/kdelibs-4.7.4/kio/kio/job.cpp:494
#17 0x00007f4267f95042 in KIO::TransferJob::slotFinished (this=0x7f42083e32e0) at /var/tmp/portage/kde-base/kdelibs-4.7.4-r11/work/kdelibs-4.7.4/kio/kio/job.cpp:1081
#18 0x00007f4267f9ae41 in KIO::TransferJob::qt_metacall (this=0x7f42083e32e0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffff5e5cca0) at /var/tmp/portage/kde-base/kdelibs-4.7.4-r11/work/kdelibs-4.7.4_build/kio/jobclasses.moc:369
#19 0x00007f4266128867 in QMetaObject::activate (sender=0x1bee510, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3278
#20 0x00007f426803e691 in KIO::SlaveInterface::dispatch (this=<optimized out>, _cmd=104, rawdata=...) at /var/tmp/portage/kde-base/kdelibs-4.7.4-r11/work/kdelibs-4.7.4/kio/kio/slaveinterface.cpp:172
#21 0x00007f426803b5bd in KIO::SlaveInterface::dispatch (this=0x1bee510) at /var/tmp/portage/kde-base/kdelibs-4.7.4-r11/work/kdelibs-4.7.4/kio/kio/slaveinterface.cpp:88
#22 0x00007f426802e68e in KIO::Slave::gotInput (this=0x1bee510) at /var/tmp/portage/kde-base/kdelibs-4.7.4-r11/work/kdelibs-4.7.4/kio/kio/slave.cpp:344
#23 0x00007f426802edcc in KIO::Slave::qt_metacall (this=0x1bee510, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7ffff5e5d110) at /var/tmp/portage/kde-base/kdelibs-4.7.4-r11/work/kdelibs-4.7.4_build/kio/slave.moc:82
#24 0x00007f4266128867 in QMetaObject::activate (sender=0x77d9710, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3278
#25 0x00007f4267f61fd7 in KIO::ConnectionPrivate::dequeue (this=0x6c50f20) at /var/tmp/portage/kde-base/kdelibs-4.7.4-r11/work/kdelibs-4.7.4/kio/kio/connection.cpp:82
#26 0x00007f4267f6208d in KIO::Connection::qt_metacall (this=0x77d9710, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7a485b0) at /var/tmp/portage/kde-base/kdelibs-4.7.4-r11/work/kdelibs-4.7.4_build/kio/connection.moc:79
#27 0x00007f426612836a in QObject::event (this=0x77d9710, e=<optimized out>) at kernel/qobject.cpp:1217
#28 0x00007f4266af8c14 in QApplicationPrivate::notify_helper (this=0x19764e0, receiver=0x77d9710, e=0x7d66000) at kernel/qapplication.cpp:4481
#29 0x00007f4266afd78a in QApplication::notify (this=<optimized out>, receiver=0x77d9710, e=0x7d66000) at kernel/qapplication.cpp:4360
#30 0x00007f42678100f6 in KApplication::notify (this=0x7ffff5e5dd10, receiver=0x77d9710, event=0x7d66000) at /var/tmp/portage/kde-base/kdelibs-4.7.4-r11/work/kdelibs-4.7.4/kdeui/kernel/kapplication.cpp:311
#31 0x00007f426611409b in QCoreApplication::notifyInternal (this=0x7ffff5e5dd10, receiver=0x77d9710, event=0x7d66000) at kernel/qcoreapplication.cpp:787
#32 0x00007f4266117854 in sendEvent (event=0x7d66000, receiver=0x77d9710) at kernel/qcoreapplication.h:215
#33 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x191f520) at kernel/qcoreapplication.cpp:1428
#34 0x00007f426613ee53 in sendPostedEvents () at kernel/qcoreapplication.h:220
#35 postEventSourceDispatch (s=0x1978d90) at kernel/qeventdispatcher_glib.cpp:277
#36 0x00007f425e12e102 in g_main_dispatch (context=0x1978ca0) at gmain.c:2441
#37 g_main_context_dispatch (context=0x1978ca0) at gmain.c:3011
#38 0x00007f425e12e8f8 in g_main_context_iterate (context=0x1978ca0, block=1, dispatch=1, self=<optimized out>) at gmain.c:3089
#39 0x00007f425e12ead1 in g_main_context_iteration (context=0x1978ca0, may_block=1) at gmain.c:3152
#40 0x00007f426613efef in QEventDispatcherGlib::processEvents (this=0x1921010, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#41 0x00007f4266b9e08e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#42 0x00007f4266113442 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#43 0x00007f4266113684 in QEventLoop::exec (this=0x7ffff5e5db40, flags=...) at kernel/qeventloop.cpp:201
#44 0x00007f4266117b0b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#45 0x000000000068f89d in main (argc=26678016, argv=0x7fff00000000) at /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/digikam/main/main.cpp:232

This bug may be a duplicate of or related to bug 278049.

Possible duplicates by query: bug 285444, bug 284398, bug 284137, bug 283540, bug 283197.

Reported using DrKonqi
Comment 1 caulier.gilles 2012-01-07 09:40:59 UTC
Same backtrace than bug 278049

Gilles Caulier

*** This bug has been marked as a duplicate of bug 278049 ***
Comment 2 caulier.gilles 2019-12-23 06:22:06 UTC
Problem is fixed with new 7.0.0-beta1 through this long story from this bug

https://bugs.kde.org/show_bug.cgi?id=399923

You can test digiKam 7.0.0-beta1 with bundle available here:

https://download.kde.org/unstable/digikam/

Don't hesitate to give us a fresh feedback about his entry.

Thanks in advance

Gilles Caulier